﻿using MyMod.WorldObjects;
using RimWorld;
using RimWorld.Planet;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;

namespace MyMod.Events
{
    public class IncidentWorker_TestIncident : IncidentWorker
    {
    
        protected override bool TryExecuteWorker(IncidentParms parms)
        {
            int tile = 0;
            TileFinder.TryFindNewSiteTile(out tile);

            WorldObject_MySite worldObject_MySite = (WorldObject_MySite)WorldObjectMaker.MakeWorldObject(WorldObjectDefOfLocal.MySite);
            worldObject_MySite.Tile = tile;

            Find.WorldObjects.Add(worldObject_MySite);

            SendStandardLetter(worldObject_MySite);

            return true;
        }
    }
}
