﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;

namespace MyMod.Hediff
{
    public class HediffComp_TestHediff : HediffComp
    {
        public HediffCompProperties_TestHediff Props => (HediffCompProperties_TestHediff)props;

        public int DamageCount;

        public override void CompPostTick(ref float severityAdjustment)
        {
            base.CompPostTick(ref severityAdjustment);

            if(Pawn.IsHashIntervalTick(1500))
            {
                GenExplosion.DoExplosion(Pawn.Position, Pawn.Map, Props.TestParam, DamageDefOf.Bomb, null);
                DamageCount++;
            }
        }

        public override void CompExposeData()
        {
            base.CompExposeData();

            Scribe_Values.Look(ref DamageCount, "DamageCount");
        }
    }
}
