﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;

namespace MyMod
{
    public class Bullet_ExplosiveBullet : Bullet
    {
        protected override void Impact(Thing hitThing)
        {
            base.Impact(hitThing);

            if (hitThing != null)
            {
                GenExplosion.DoExplosion(hitThing.Position, hitThing.Map, Rand.Range(1, 3), DamageDefOf.Bomb, launcher);
            }
        }
    }
}
